#ifndef VTK_HH
#define VTK_HH

#include <dune/common/shared_ptr.hh>
#include <dune/grid/io/file/vtk/vtkwriter.hh>

#include <dune/fufem/functions/vtkbasisgridfunction.hh>

template <class VertexBasis, class CellBasis, class VectorType,
          class SingletonVectorType>
void writeVtk(VertexBasis const &vertexBasis, VectorType const &displacement,
              SingletonVectorType const &state, CellBasis const &cellBasis,
              SingletonVectorType const &stress, std::string const &filename);

#endif
